Preflight tenant membership invitation
POST
/tenants/{id}/memberships/preflight
const url = 'https://api.muninx.com/tenants/example/memberships/preflight';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"example","organization":"example","role":"admin"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/tenants/example/memberships/preflight \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "organization": "example", "role": "admin" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Tenant organization ID; use this for the current tenant
Request Body required
Section titled “Request Body required ”Proposed membership
Media type application/json
object
email
string
organization
string
role
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
outcome
Add_now or invitation_required
string
Example generated
{ "outcome": "example"}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}